Subject: [SIP] Multicast Registration

From: "Singh, Manish" <[email-masked]>
Date: Thu, 19 Oct 2000 12:06:21 -0700

> Hi,
> 
> Section 4.2.6 of the RFC2543 says :
> 
> "It is RECOMMENDED that the UA registers via multicast and send a
> registration to its
> "home" address, i.e, the server for the domain that it uses as its From
> address in outgoing
> requests. 
> 
> Multicast reqistrations are addressed to the well known "all SIP servers"
> multicast address
> "sip.mcast.net".
> 
> RFC further adds : " SIP UAs MAY listen to that address......, however
> they do not respond
> to the request".
> 
> From this I understand that a UA will send a multicast REGISTER request to
> "sip.mcast.net"
> as well as a  unicast REGISTER request to the domain Registrar server,
> that it uses as its
> From address. 
> 
> Pls clarify the following :
> 
> - Does the term "all SIP servers" include standalone Registrar servers?
> 
> - Should the Registrar server listen to the multicast address and accept
> registrations? 
> 
> - If it should, then should registrar server  respond to such REGISTER
> requests?
> 
> - Should the UA which issues the REGISTER request, expect multiple 2xx
> responses for it.
> 
> Thanks, 
> Manish
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: "Jo Hornsby" <[email-masked]>
Date: Fri, 20 Oct 2000 10:20:50 +0100

> registration to its "home" address, i.e, the server for the domain
> that it uses as its From address in outgoing requests.
>
> Multicast reqistrations are addressed to the well known "all SIP
> servers" multicast address "sip.mcast.net".
> 
> they do not respond to the request".
> 
> From this I understand that a UA will send a multicast REGISTER
> request to "sip.mcast.net" as well as a unicast REGISTER request to
> the domain Registrar server, that it uses as its From address.
> 

In this context, "all SIP servers" is just an address; it might
represent no SIP servers if noone is listening. &:)

If a "standalone Registrar" has joined the sip.mcast.net group,
then yes, it is included.
 
> - Should the Registrar server listen to the multicast address and
> accept registrations?

That's up to the implementor and administrator of the Registrar.

> - If it should, then should registrar server respond to such REGISTER

With a 2xx, or not at all, I would think.

> - Should the UA which issues the REGISTER request, expect multiple 2xx

It's certainly possible; particularly if redundancy is being employed.

HTH,

 - Jo.